                                                  MidWavi Pro - Shareware for Windows 98/Me/NT4/2000/XP


What's new...

Version 2.99

Please uninstall any version of MidWavi Pro and FreeKapture prior to version 2.98!

Version 2.98 (and on) will no longer restrict registered users to one machine...you will be free to install MidWavi Pro on any machines that you own (a Hackers field day :) ) ...all we ask in return is that you do not 'donate' copies to friends and family...possibly like you, we are trying to earn a living here. Thank you.

Please note that because ALL support for the Windows 9.x series (including Windows Me) was ceased by Microsoft on 11th July 2006, we can no longer guarantee that MidWavi Pro will work on those now out-dated Operating Systems (although we will try to maintain compatibility).

However, MidWavi Pro 2.96 (and on) no longer supports Windows 95 and Windows NT4.

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

Now comes with version 2.00 of FreeKapture.

A major problem in the Sound & Video module has been found (introduced in 2.98) and fixed in 2.99.

If you only have one file in your Sound & Video file list box, error messages could occur...this is fixed in 2.99.

Now has a brand new feature in the Sound & Video Player called 'PlayMark' (think of PlayMark as a BookMark for sound files (MP2, MP3 & WAV).

Full details can be found in the MidWavi Pro Help file.



Version 2.98

A problem with the prompt that you have not 'Saved freedb data' has been found and corrected so that it should be impossible to exit the freedb screen with un-saved data unless you so chose.

MidWavi Pro 2.98 (and on) now comes bundled with our new Freeware TWAIN Scanner 'FreeKapture'.

FreeKapture has its own Help file, so please refer to this for full details.


Version 2.97

The Sound & Video module can now also be minimised to the System Tray in the same manner as the CD Audio Player (Ctrl S gets you there).

All options are available from the System Tray by right mouse clicking over the MidWavi Pro icon... i.e. Play - Stop- Random etc.

The Sound & Video module can now display incrementing/decrementing plus total play time on the Task Bar (this option is controlled from the Audi CD Player's 'Tools-Turn update Icon whilst maximised ON/OFF' Menu, the default is ON)!

Please see on-line Help for full details.

The search engine has been 'tweaked'.

Dragging to desired Play position has been re-introduced for MID sound files and the 'Dragging to Play position' routines have been improved a little further.

More accurate and faster determination of CPU speed on the 'Tools-System Status' menu option.

All our downloads now include an MD5 checksum (code) on our web site(s).

Version 2.96

Massive update to Help system...now changed to CHM (C ompiled H t M l) style Help (see 'Help on Help' within the new Help system) and large sections of Help have been added or amended (now includes some embedded graphic files to illustrate points made)!

You can now abort a disk search with an option to retain the files (if any) thus far found (see 'Search Drive' in the Help system).

Dragging to Play position routines have been re-written and now correctly calculate the Elapsed/Remaining time for sound files (and Audio CD) when dragging progress bar, but dragging of MID sound files is no longer supported (search for "slide control" - include the speech marks - in the new Help system).


Version 2.95

Added support for .MPEG video files:

Search is now offered for...

MP3 (Includes MP2) Sound

MPG Video

MPEG Video

See the on-line Help under 'Search Drive' for full details.

MidWavi Pro has never worked properly with anything other than the 'Normal Font' (size) setting.

Windows 9.x, NT4 & 2000 have always checked for this before running...XP now does the same.

The 'Check for new version' option (on all the Help menus) now also displays the latest Help file on offer and gives you a chance to download it should you so desire.

Our Freeware MD5 Checker is now included with MidWavi Pro.

Using a system called MD5, a unique code (checksum) is generated and if when checked against a download or any file with a given MD5 code, the codes match, you can be as sure as it gets that you have an original.

Obviously, any MD5 checksum (code) should work with our MD5 Checker, so feel free to use this utility wherever you find one.

The option to run MD5 Checker can be found on all three main screen Menus (Audio CD Player, Sound & Video, Graphics)

First, place the given MD5 checksum on the Clipboard and ensure you highlight only the checksum before Copying to the Clipboard (Ctrl C or Edit...Copy) 
 
Run the MD5 Check Utility (MD5.Exe) and this should automatically place the contents of the Clipboard in for you (top box above). If not, please ensure that you have correctly copied the checksum to the Clipboard, and then click on the Paste button. 

You can also use the Paste facility for checking more than one MD5 checksum without the need to re-run MD5.Exe (simply copy the next desired checksum to the Clipboard and take the Paste option to refresh the box...then the Browse option).
 
Browse to where your download (or file) is and select it by either double left-mouse clicking on it or by highlighting it and taking the 'Open' option. If the codes match, the download (or file) is the same as the original. 
  
You may also create your own MD5 checksum if required...just click on the 'Create an MD5 checksum' option (Radio button), and Browse to the required file (and select it as per the instructions above). The result will be automatically placed on the Clipboard for you.

All our downloads now include an MD5 checksum (code) on our web site(s).


Version 2.94

Support for the MOD sound file format has been added (see the MED Help section).

Improvements made to the way a 'multi-hit' selection is made in the freedb option... i.e. if more than one CD is displayed, once you select a Checkbox, MidWavi Pro will automatically download those details without the need for further intervention.

The latest freedb Server list is included in the download.

Version 2.93

You now have a Random play pop-up option when the Audio CD Player is minimised to the system tray.

The following problems have been resolved:

Using the MD5 Menu option when your file listbox is empty (Sound & Video and Graphic modes) is permissible now!

A possibly erroneous (but otherwise harmless) message that was coming up in the Audio CD Player module regarding external CD/DVD drives should no longer occur.

You may now use the Ctrl+T shortcut option on the Sound & Video screen, to activate the MPEG Tag Viewer-Editor.

May we remind you that if you are writing MPEG Tags back to a CD/DVD, obviously, this must be re-writable media (CD-RW ~ DVD-RW ~ DVD+RW or DVD-RAM) and you must be running the necessary Packet Writing software (InCD - Direct CD etc.).

As you probably already know, Windows XP supports DVD-RAM (Fat 32) 'out of the box' so if you have formatted your DVD-RAM disc this way, no special drivers are required.

Several Cosmetic fixes have been applied.

Latest Zip libraries included.

On some systems, external CD/DVD (i.e. USB Drives etc.) Drives will not be detected by the freedb 'engine'...this release should improve on the quality of warnings issued in this situation. MidWavi Pro should always recognise all Drives (and therefore play Audio CD's from any of your Drives), but you may not be able to use external Drives with the freedb option.

One workaround that appears to overcome this problem is:

If you own a registered copy of Nero (Ahead software) that is installed on your system, copy the file WNASPI32.DLL (i.e. the Nero ASPI driver) from the Nero Folder to (for Windows XP):

Windows\System32

**But firstly**, rename the original Windows file to WNASPI32.DLL.ORG or whatever (in case you need it back).

If you have ANY doubts about the above, DON'T DO IT!!!

Audio CD Player:
May we remind you that if you have more than one CD/DVD Drive, only one contains an audio CD as, whilst 2.92 (and on) should now be much more robust on this issue, it is possible that MidWavi Pro could still get confused if more than one CD/DVD is 'sensed'. Thank you.


Version 2.92

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

Our Freeware MD5 Checker is now included with MidWavi Pro.

All our downloads now include an MD5 checksum (code) on our web site(s).

Some anomalies with the freedb option with external drives have been fixed and several cosmetic changes made.

On some systems, external CD/DVD (i.e. USB Drives etc.) Drives will not be detected by the freedb 'engine'...this release should improve on the quality of warnings issued in this situation. MidWavi Pro should always recognise all Drives (and therefore play Audio CD's from any of your Drives), but you may not be able to use external Drives with the freedb option.


Version 2.91

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

There is a new Menu option on the Audio CD Player that (if available) displays the track titles of the current CD loaded.

You can pick from this list by name, and click (or Hot Key) to play the track.

Some bug fixes with the freedb Player not keeping in sync with the Main CD Player.

60 day trial to non-registered users.

Version 2.90

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

You are now able to run the Audio CD Player from the System Tray area (bottom right of your Windows screen) with full control over:

Play
Pause
Stop
Next Track
Previous Track
Restore MidWavi Pro to full screen
Exit MidWavi Pro

This means of course that you will be able to minimise (minimise) the MidWavi Pro Audio CD Player to a simple icon over which you can Left Mouse Click to restore or Right Mouse Click for options. 

This mode only applies to the Audio CD Player screen so of course you must have this active for the following to apply.

To activate this mode, go to the Tools Menu on the Audio CD Player screen and take the option 'Send To System Tray'. A much quicker way though is to use the shortcut keys of Ctrl+S (that is, whilst holding down the Ctrl key, press the S (or s) key).

Once MidWavi Pro has been sent to the System Tray, you have two options by placing the cursor over the MidWavi Pro icon in the System Tray:

A single Left Mouse click on the icon will restore MidWavi Pro to full screen (and remove it from the System Tray).

A single Right Mouse click on the icon will reveal a pop-up menu offering the (self explanatory) options as detailed above, namely:

Play
Pause
Stop
Next Track
Previous Track
Restore MidWavi Pro to full screen
Exit MidWavi Pro

You may enter/exit this mode as often as you wish.

Latest Zip/Unzip library is included and a couple of small bug fixes applied.

60 day trial to non-registered users.


Version 2.89

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

The freedb screen now has its own Player options (Play, Next, Previous, Pause, Stop) which are tied to the main MidWavi Pro CD Player engine.

This means that the freedb screen is now correctly synchronised with the main player, that is, the current track playing (in any mode - Random - As Selected - Normal - Intro) will be high-lighted.

Also new, the CD Track numbers are now displayed on the freedb screen.

A progress bar is also now provided.

Please bear in mind that this Player is not as comprehensive as the main MidWavi Pro CD Player and you can easily switch between the two.

You may now save your edited MPEG Tags to a re-writeable CD/DVD.

Supported media is:

CD-RW
DVD-RW
DVD+RW
DVD-RAM (Fat32 Format)

As you can see, we do not support CD-R, DVD-R or DVD+R (whilst these may work on some systems, none of this media have been tested).

You need to have the proper software (InCD, DirectCD etc.) running for this to work so this means that if you can write to any of the above supported media from within Windows Explorer then you should be able to do the same from within MidWavi Pro.

In Windows XP, DVD-RAM is supported (Fat32) 'out of the box' so no special driver is required. 

More information is now shown as to the fields you are about to update with the MPEG Tag editor.

60 day trial to non-registered users.


Version 2.88

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

The 'MPEG Tag Viewer-Editor' option in the 'MidWavi Pro Sound & Video Player' module has been massively updated. You may now "batch" process your mp2 and mp3 files.

This is to say that if you wanted to make all files of a certain type (say Rock Genre), all you have to do is make sure that they are the only ones selected (ticked) in the File List Box then take the MPEG TAG option (Ctrl+T is the shortcut or see the Menu option in Tools).

From here you select which fields (Genre, Date, Artist etc. etc.) you wish to make the same as the currently listed file (or edit the fields to your requirements) and simply click the "Batch Mode Save" button.

In other words, if you have (say) 200 files on which you want to edit the Genre to be 'Rock', then simply ensure that they are all selected in the File List Box and that you tick the Genre box and off you go...totally automatic and completed at warp speed!

MidWavi Pro will only update files that are selected (ticked) in the File List Box.

It is not a problem if you have media files other than mp2/mp3 currently selected, MidWavi Pro will just ignore them during the above process.

Done!

Of course, then using the very powerful 'search MPEG's routine' in MidWavi Pro, you could find ALL the 'Rock' files on your chosen media (and build a Play List of them).

Please read the Help file for further details (see help on the Tools menu).

Always ensure that you have backups of valued files!

Non Registered users who are still within the 60 day trial period can now download the latest version (and therefore get a further 60 days trial if a later version is available). This new option is offered from the Help menu option 'Check for new version'. Registered users should NOT take this option (please email: support@midwavi.com for details on how to download Registered versions).

Latest version of the Zip library included.

Please note that it is probably best to avoid USB drives if you intend to use the freedb option.

Whilst MidWavi Pro should perform all the other Audio CD functions on a USB drive, you may (Windows XP in particular) experience problems with retrieving freedb data from a CD ROM in a USB drive.

60 day trial to non-registered users.


Version 2.87

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

You now have 60 days in which to evaluate the product.

Now offers 'Random' play mode from the freedb screen.

A massive re-write of the CD Audio Player so that it should now fully handle multiple CD Drives when using freedb etc.

MidWavi Pro will now ask you to select a CD Drive when it thinks that the drive letter and the ASPI drive number are not synchronised.

Having said that, on multi CD Drive systems, you should never have more than one CD in your drives at a time (except of course if you are running MidWavi Pro from one of the CD Drives).

The effect of having an Audio CD in both (say) drives G: and H: is that you could end up being shown CD details for drive G: when in fact you are playing from drive H: !

We are looking at various ways of alerting you to this situation, but for now, please observe the above simple rule.

Version 2.87 has also been tested (though not exhaustively) with external USB CD drives.

Also a bug fix in the 'Normal CD' module has been applied.

If you have more than one CD Drive, this is a MUST HAVE update!

The Help system now has a "Contents" Menu.

Some corrections to the "Test Zip" routine.

Latest Zip/Unzip library

60 day trial to non-registered users.


Version 2.86

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

The Audio CD Player now has an option to "Repeat" a track (endlessly).

This works in standard, random and select modes WHENEVER YOU ARE PLAYING A TRACK (i.e. the option is not available until you are actually PLAYING via the Play, Random or Select options).

You can toggle this option ON/OFF at any time whilst a track is playing.

See the new CheckBox towards the bottom left of the CD Audio Player screen ('2-Repeat Current Track').

Please note that the keyboard shortcut to this option is Alt+2 (that is, whilst holding down the Alt key, press the numeric 2 key).

The option to update a CD's details in the tray icon has been moved to the Audio CD Tools Menu from where you can toggle it ON/OFF.

You may now add a custom text comment instead of a files details to a graphic print-out. That is to say that instead of the files path, name etc., you can add any details that you wish about the graphic (up to 100 characters).

See the Radio Button 'Enter Custom Text' from the Print option.

The Shareware trial version does now Zip EMF graphic files as well as Unzip them.

Some cosmetic changes plus some Tool Tips updates.

30 day trial to non-registered users.

------------
Version 2.85
------------
Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

Now displays and prints EMF graphic files as all other supported types (full screen etc. etc.).

Problem fixed with Windows XP and CD Extra (mixed audio and data) CD's.

Updated Zip/Unzip library files now included.

Fixed problem with file count after zipping (could display a negative number!)

Fixed problem with requests to Zip files when ListBox was empty.

Some cosmetic and user prompt updates.

Fixed problem with ejecting CD's whilst playing them.

Changes to the Help system:

Revised instructions for 'Play & Display Lists' option.

Revised instructions for 'Sub Select' option.

Revised instructions for 'Check for CD Ejection whilst playing' option.

30 trial for non-registered users.

Version 2.84
------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

There will now be available both an unregistered and a registered version of the 'Burn CD Now' file as optional downloads (see web site www.midwavi.com or www.midwavi.co.uk for full details). Quite simply, you download this file, ensure you have a blank (unformatted) CD in your burner and run the file. The CD creation is entirely automatic and MidWavi Pro will then run from the resulting CD.

MidWavi Pro now runs from a CD including freedb support...however, we repeat what we have previously said on this matter...PLEASE READ THIS!

In simple terms, MidWavi Pro now uses two methods to determine a CD Drive. The most commonly understood method of drive letters (E: G: etc.) and the lesser-known ASPI device ID method.

Unfortunately, these two are not always synchronized together (although in most 'standard' systems they are).

MidWavi Pro checks for this and if problems are found, you are automatically presented with a list of the not so often seen CD Drive manufacturers drive description (rather than drive letters). You then choose from this list (by clicking on a selection to highlight it) and that 'connection' is then maintained for the rest of the session.

If you change CD Drives (in the drop down drive selection box), the above sequence is repeated.

The last used 'connection' is automatically maintained for use next time.

If you an unsure (by the manufacturers drive description) which drive to select, providing there is only one CD loaded in only one drive, MidWavi Pro will dissuade selections until you select the drive with an Audio CD in it (although you can over-ride this at your own peril).

In other words, please avoid leaving CD's in drives that are not in use (good idea at the best of times).

If you do have more than one CD loaded (in more than one drive of course), because of the synchronization problems mentioned above, it's possible to be (say) playing an Audio CD in drive H: but seeing the Track details (or garbage) of (say) drive G: .

This is what the 'Select Drive' option is for. If taken, you are presented with the list of drives as above, and again, you should make your selection.

If MidWavi Pro suspects a bad request to freedb by way of the above problem, your data file (Midwavi.INI) is automatically restored to its former details prior to the faulty attempt.

However, it is stressed again, that this situation is best avoided by only ever having one CD loaded at a time.

New option to display graphic file name at bottom of screen in all non 'TV' modes...(reached by doing a single right mouse click OVER A GRAPHIC ON DISPLAY to bring up the 'Pop-up' menu from where you can select 'Turn Display Name ON' or toggles to 'Turn Display Name OFF').

You can still single right mouse click OVER A GRAPHIC ON DISPLAY to bring up a menu of options...and just a reminder that the single keyboard keys 'V' (or 'v') and 'N' (or 'n') will take you to the previous or next graphic file to display.

Remember also that if you require full details of a files location (its name and full directory path), you still have the pop-up menu option of 'File Details'

It has been found that on some systems, MidWavi Pro cannot play VideoCD (*.dat) files, so now, if this situation arises, a suitable error message is given and you are offered the opportunity to play the file using the Windows Media Player.

For the record, chances are that if you were to copy the offending file to a Hard Drive, CD-RW etc. and rename the file extension from '.dat' to '.mpg', MidWavi Pro would play the file.

30 trial for non-registered users.

Version 2.83
------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).


Now displays and prints GIF graphic files as all other supported types (full screen etc. etc.).

You may also conduct the very powerful 'Search Drive' option to allow MidWavi Pro to find all (up to 24,000) GIF files on the nominated drive.

Grateful thanks are due to Anders Melander for the use of his TGIFImage component which allows MidWavi Pro its GIF functionality.

Problem with file list boxes (if large number of filenames) fixed.

30 trial for non-registered users.


Version 2.82
------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).


Sorry, the MPEG search option is only available in the Registered version.


Major update to searching MPEG TAG's...

From the Sound & Video Player screen, just select the target search drive from the drop-down drive selection box, then hit Ctrl+S!!!

Read on...

You can search a drive for MPEG (mp2 and mp3) files with TAG's (descriptions) to find any of the six following fields (categories):

Title (Track title)
Artist (name)
Album (name)
Released (Year released)
Comment
Style (Genre e.g. "Rock", "Blues", "Country", "Classical" etc. etc).

All the "fields" take 30 (mixed alpha-numeric) characters with the exception of "Released" which takes 4 (numeric only).

There are over 120 pre-ordained Genre styles (presented in a drop-down box for you).

An example:

Suppose you wanted to find all the mp2 and mp3 files on drive C: that have the artist name:

 "The Beatles".

Go to the Sound & Video Player.

Start by selecting a drive letter to search in the drop down drive box.

Then, either hit Ctrl+S (that's whilst holding down the Control key, hit the S key) or take the Tools menu option "Search MPEG's for selected detail - Ctll+S".

An input box will appear containing radio buttons for all six categories into which you type your requirements.

In this case, we wish to search on the "Artist" field so ensure that this radio button is clicked.

Enter your search pattern.

The more specific you are, the more specific the search so that if for example you type in "bea" (without the speech marks), all artists names containing these letters will be returned e.g. "The BEAch Boys", "The BEAtles" etc. etc.

Click on OK (or Cancel if you wish to abort) and MidWavi Pro will search the selected drive for all mp2 and mp3 files that have your chosen artist name and automatically build a play list for you.

Tip: If you wanted to say find ALL files that date from the 1980's, make the search criteria "Released" and enter "198" in the search box (omitting the speech marks).

This will then conduct a search on the Year released field in effect looking for 198* (where * is a wild card search). That is, because you have not provided a full 4 digit year, the search will be for any year starting "198" and so on.

Remember that if searching on Genre, you can type the first, second, third etc. characters in the Combo Box and the hightlight will shift to the first/next found etc.


Sorry, the MPEG search option is only available in the Registered version.


If your MPEG's tend not to have TAG's (descriptions), then why not edit them using the MidWavi Pro built-in MPEG TAG viewer-editor (see 'MPEG Tag Viewer-Editor - Ctrl+T' on the Tools menu)

You can now "scroll" a file name in the 'Audio CD Player' and 'Sound & Video' modules...this means that long file names can now be obtained (without "Tool Tips" turned on)...just click in the area marked "To scroll Title information click here" (or click in the Title display area) and scroll using the keyboard (Home-End-Cursor/Arrow Keys-Mouse) in the usual manner.

If you use the "To scroll Title information click here" option, the whole Title is automatically selected (and it displays right justified). You may then send this to the clip board using the usual Windows keystrokes (Ctrl+C).

You may also hight-light (using all normal Windows keys or Mouse methods) any portion of the Title that you desire and send that to the clip board.

The UK freedb Server is now back on-line and UK users might prefer to switch back to it. An updated Server List (midwavis.ini)is supplied with version 2.82.

Numerous cosmetic fixes and additions.

Problem with ListBox errors fixed in Sound & Video module.

Updated on-line help.

30 trial for non-registered users.


Version 2.81b
-------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

A problem was introduced by mistake in version 2.81 whereby in certain modes (Full Screen, Allow Original Size etc.), graphics would not be captured to the Clipboard when requested.

This has been addressed in release 2.81b and all should now be well.

30 trial for non-registered users.


Version 2.81a
-------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys if need be).

Improvement to the Graphic Viewer:
During non TV modes (i.e. full screen - allow original size etc.), you may now also use the 'N' (or 'n') key to move to the next graphic or the 'V' (or 'v') key to move to the previous one. Note this key combination was chosen so that you can toggle very easily due to the close proximity of these two keys on your keyboard.

The UK freedb Server is off-line and a new Server Sites list comes with 2.81a.

If you have been using the UK Server, please choose a new one from the latest list.

Problem with printing full path name of a graphic file fixed.

Problem with MidWavi Pro not locating its Help file fixed.

30 trial for non-registered users.


Version 2.81
------------

Free to registered users (please send an email requesting information on obtaining new Registration Keys).

A new option on the 'Tools' menu allows you to test ANY Zip file with a report showing the outcome on completion.

Zip-Unzip messaging has been improved.

The Audio CD play routine has been 'tweaked'.

30 trial for non-registered users.


Version 2.80
------------

Free to registered users (please send an email requesting new Registration Keys if need be).

This is deemed to be a 'must have' update.

New to 2.80 is support for Zipping files from within MidWavi Pro!

By populating the File List Box with all desired files, you can Zip them up with a just couple of keystrokes fully automatically.

Unzipping to has been improved with an 'Abort' option added as well as feedback on the Unzip progress.

In addition, Unzipping is now fully automatic in that the files are Unzipped directly into the File List Box ready to Play/Display (not as previously into a File Selection Box).

Bear in mind that because MidWavi Pro automatically tries to empty the temporary directory (Folder) used to store your Unzipped files, if these are large in number, you may experience a small delay whilst MidWavi Pro is shutting down and deleting these files.

For full details, please see the 'Tools Menu' section in the Help file.

Also, some bug fixes concerning File List Box population have been made.

Zone Alarm (Pro) 3 users please note that you are advised to upgrade to the latest release (which at the time of writing is 3.0.118).

30-day trial period for non-registered users.